Bug 668439 - preupgrade F13->F14 fails with "Got to setupCdrom without a CD device"
preupgrade F13->F14 fails with "Got to setupCdrom without a CD device"
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
i686 Linux
low Severity urgent
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2011-01-10 09:44 EST by Jeremy Bennett
Modified: 2011-06-27 08:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-06-27 08:38:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeremy Bennett 2011-01-10 09:44:10 EST
Description of problem: reboot after preupgrade F13-F14 fails.

Version-Release number of selected component (if applicable): Fedora 13

How reproducible: Completely

Steps to Reproduce:
1. Install F13 (network install from UNetbootin USB stick)
2. Preupgrade to F14
3. Reboot and select upgrade from grub
Actual results:
Boots into upgrade (anaconda), but halts with Window saying "No device found". Use Alt-F3 to toggle window, and the error message found is

ERR loader: got to setupCdrom without a CD device

Expected results:
System should upgrade to F14

Additional info:

This is a machine based on an Asus M4N68T-M LE Motherboard with an AMD Phenon II X6 1075T processor, 8GB of RAM and a single 2TB hard disc. There is no CD drive, and it was always intended that this machine should be network/USB installed.

Earlier I had failed to install F14 directly (using UNetbootin with the F14 DVD ISO image), with a similar error. I tried installing F13 (worked fine) and then preupgrade to get F14, when this failure occurred.
Comment 1 Bug Zapper 2011-05-30 08:02:03 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 2 Bug Zapper 2011-06-27 08:38:22 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.